Vidya (Education) Analysis¶
5 endpoint(s).
| Endpoint | Method | Summary | Auth |
|---|---|---|---|
/api/v1/vidya/analyze |
POST |
Analyze Vidya | |
/api/v1/vidya/competitive-exams |
POST |
Get Competitive Exams | |
/api/v1/vidya/field-recommendation |
POST |
Get Field Recommendation | |
/api/v1/vidya/foreign-education |
POST |
Get Foreign Education | |
/api/v1/vidya/summary |
POST |
Get Vidya Summary |
POST /api/v1/vidya/analyze¶
Analyze Vidya
Full 9-section education analysis: houses, D24, karakas, field, higher ed, exams, foreign, timing, summary.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/vidya/analyze' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/vidya/competitive-exams¶
Get Competitive Exams
Competitive exam success analysis.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/vidya/competitive-exams' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/vidya/field-recommendation¶
Get Field Recommendation
Subject/field recommendation based on planetary patterns.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/vidya/field-recommendation' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/vidya/foreign-education¶
Get Foreign Education
Foreign education potential analysis.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/vidya/foreign-education' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/vidya/summary¶
Get Vidya Summary
Bilingual education summary.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/vidya/summary' \
-H 'Authorization: Bearer <API_KEY>'